# Python: class MyThread

start.MyThread = class MyThread(PySide.QtCore.QThread)

``

Method resolution order:
  MyThread
  PySide.QtCore.QThread
  PySide.QtCore.QObject
  Shiboken.Object
  builtins.object

Methods defined here:

__init__(self, parent=None)

run(self)

setConfig(self, s, gui)

Data and other attributes defined here:

staticMetaObject = <PySide.QtCore.QMetaObject object>

Methods inherited from PySide.QtCore.QThread:

__new__(*args, **kwargs) from Shiboken.ObjectType
  `Create and return a new object. See help(type) for accurate signature.`

exec_(...)

exit(...)

isFinished(...)

isRunning(...)

priority(...)

quit(...)

setPriority(...)

setStackSize(...)

stackSize(...)

start(...)

terminate(...)

wait(...)

Static methods inherited from PySide.QtCore.QThread:

currentThread(...)

currentThreadId(...)

idealThreadCount(...)

msleep(...)

setTerminationEnabled(...)

sleep(...)

usleep(...)

yieldCurrentThread(...)

Data and other attributes inherited from PySide.QtCore.QThread:

HighPriority = PySide.QtCore.QThread.Priority.HighPriority

HighestPriority = PySide.QtCore.QThread.Priority.HighestPriority

IdlePriority = PySide.QtCore.QThread.Priority.IdlePriority

InheritPriority = PySide.QtCore.QThread.Priority.InheritPriority

LowPriority = PySide.QtCore.QThread.Priority.LowPriority

LowestPriority = PySide.QtCore.QThread.Priority.LowestPriority

NormalPriority = PySide.QtCore.QThread.Priority.NormalPriority

Priority = <class 'PySide.QtCore.QThread.Priority'>

TimeCriticalPriority = PySide.QtCore.QThread.Priority.TimeCriticalPriority

finished = <PySide.QtCore.Signal object>
  `Signal`

started = <PySide.QtCore.Signal object>
  `Signal`

terminated = <PySide.QtCore.Signal object>
  `Signal`

Methods inherited from PySide.QtCore.QObject:

__delattr__(self, name, /)
  `Implement delattr(self, name).`

__getattribute__(self, name, /)
  `Return getattr(self, name).`

__setattr__(self, name, value, /)
  `Implement setattr(self, name, value).`

blockSignals(...)

childEvent(...)

children(...)

connectNotify(...)

customEvent(...)

deleteLater(...)

disconnectNotify(...)

dumpObjectInfo(...)

dumpObjectTree(...)

dynamicPropertyNames(...)

emit(...)

event(...)

eventFilter(...)

findChild(...)

findChildren(...)

inherits(...)

installEventFilter(...)

isWidgetType(...)

killTimer(...)

metaObject(...)

moveToThread(...)

objectName(...)

parent(...)

property(...)

receivers(...)

removeEventFilter(...)

sender(...)

senderSignalIndex(...)

setObjectName(...)

setParent(...)

setProperty(...)

signalsBlocked(...)

startTimer(...)

thread(...)

timerEvent(...)

tr(...)

trUtf8(...)

Static methods inherited from PySide.QtCore.QObject:

connect(...)

disconnect(...)

registerUserData(...)

Data and other attributes inherited from PySide.QtCore.QObject:

destroyed = <PySide.QtCore.Signal object>
  `Signal`

Data descriptors inherited from Shiboken.Object:

__dict__